# coding=utf-8
from django.shortcuts import redirect

from . import wrap_response
from ..models import FlyingTeam
from ..forms.forms import FlyingTeamAddForm


def equipment_def(request):
    equipment_list = Item.objects.order_by('-name')
    context = {
        'equipment_list': equipment_list
    }

    return wrap_response(request, "eqdef/index.html", context)


def equipment_and_rooms(request):
    return wrap_response(request, "equipment_and_rooms/index.html", {})


def flying_teams(request):
    flying_team_list = FlyingTeam.objects.order_by('-place')
    context = {
        'flying_team_list': flying_team_list
    }

    return wrap_response(request,
                         "equipment_and_rooms/flying_teams.html",
                         context)


def flying_teams_add(request):
    if request.method == 'POST':
        form = FlyingTeamAddForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('web.views.equipment_and_rooms.flying_teams')
    else:
        form = FlyingTeamAddForm()

    return wrap_response(request, 'flying_teams/add.html', {'form': form})
